SAP Library
mySAP Technology Components, Release 6.20, April 2002
SAP Library

Glossary

Getting Started

© Copyright 2002 SAP AG
All rights reserved.


Calling RFC Functions

Purpose

Communication between the tester and the SAPphone server takes place using the RFC-API (Remote Function Call – Application Programming Interface). External communication takes place between an SAP System (the SPS tester) and a non-SAP System (the SAPphone server). For more information, see The RFC Interface .

This process describes the typical process flow of a function call using the RFC-API:

Process Flow

  1. Determination of the Handle

    2. The handle of the current server has to be determined every time an RFC function is called. This is because when external communication takes place, the RFC connection is automatically separated after a function is executed, that is, the handle is no longer recognized after a function call.

  2. Allocation of Memory Areas

Memory areas must be allocated in order to transfer data to an RFC function or to receive data from an RFC function. Both the RFC function itself and the RFC calling program must access these memory areas in order to be able to process the data. Data can be numeric or alphanumeric. The RFC-API enables the transfer of tables.

The memory allocation is generated using RfcAllocParamSpace (1.Parameter, 2.Parameter, 3.Parameter). The parameters mean:
    • 1. Parameter: Number of data to be exported into the RFC function.
    • 2. Parameter: Number of data to be imported from the RFC function.
    • 3. Parameter: Number of tables that are defined for data transfer or data evaluation for an import or export.
    • Result: Pointer to the reserved memory areas
  1. Type Assignment and Data Transmission

    2. The data type of the data to be exported is communicated to the RFC-API before the function is executed using the function RfcDefineExportParam. The export data is written in the memory areas reserved for it using the function RfcAddExportParam.

    The table data is assigned a type and is transferred to the RFC-API using ItCreate (for type assignment) and RfcAddTable (data transfer).

  2. Execution of the Function

    3. The execution of the function is initiated using the RFC function RfcCallReceiveExt.

  3. Reading of the data areas by the called RFC Function

    4. In the case of non-table data, the data can be read from the memory using the function RfcGetImportParam. Table data is stored by the called RFC function in a text line, which must be read completely from the table using the function ItCpyLine. The calling program must recognize the exact structure of this character string in order to be able to access the corresponding data specifically. The character string does not contain separators. It is only the position in the character string that gives information about the data concerned.

    In the tester, this data is imported in an array structure, which is in turn assigned to a table. This table is created in the main program before the function call, is transferred to the function call with Call By Reference and is filled, as described above, at the end of the executed function.

  4. Release of the Allocated Memory Areas

The memory areas that were allocated are released again using the function RfcFreeParamSpace.

The following diagram illustrates a function call:


Work Center Functions

Calls-Funktionen

Set Extension

You use this function to create a new test extension.

  1. Choose Work center ® Set extension.
  2. Specify an extension.
  3. Confirm your entries.

Register / Deregister

You can use this function to test registering and deregistering an extension with the telephony gateway.

  1. Choose Work center ® Register or Deregister.
  2. In the subsequent dialog box, specify your test extension and, when registering, the IP address of your computer:

  3. Choose Register or Deregister.

Agent Login / Logout

A call center employee (agent) uses this function to log in to or to log out of a queue.

Logging in

  1. Choose Work center ® Agent login.
  2. Enter the following data:
    • The extension of the agent
    • The queue
    • The work mode that specifies that the agent is in (ready, not ready, work ready, work not ready, none specified)
    • The name of the agent
    • The password of the agent.
  3. Choose Login.

Logging out

  1. Choose Work center ® Agent logout.
  2. Enter the following data:
    • The extension of the user
    • The queue (that the agent must be taken out of)
    • The name of the agent.
  3. Choose Logout.

The following graphic shows the input window for logging in and out:

Set / Get work mode

These functions are used to set and query the status of a call center agent. The work mode (for example,ready or not ready) is used to decide whether the call is transferred to the agent, deflected to another agent or put on hold.

Setting a work mode

  1. Choose Work center ® Set work mode.
  2. Specify an extension or a work mode.
  3. Choose Set.

Querying a work mode

  1. Choose Work center ® Get work mode.
  2. Specify your extension.
  3. Choose Get.

The following graphic shows the input window for setting and querying the work mode:

Get queues

This function is used to output the queues for an agent. You can get all the queues for which the agent has login authorization or to which the agent is logged in at the time of query.

  1. Choose Work center ® Get work mode.
  2. Specify the extension and, if necessary, restrict the query using the field Type:

  3. Choose Get queues.


The SAPphone Server Tester

Purpose

The SAPphone server tester (SPS tester) provides a test environment that simulates the SAP System in telephone integration with external telephony products. This enables third party manufacturers to test the connection of their telephony products via the SAPphone server to the SAP System without an SAP System having to be installed. The SPS tester simulates the behavior of the SAP System when interacting with the external telephone system.

The graphic shows the test environment in which the SPS tester simulates the SAP System with SAPphone as the interface for the telephone integration:

Features

The different scenarios of a telephony connection to the R/3 System can be reproduced with the SPS tester. This includes the functional areas

Exchange functions

Work center functions

Call control

Calls functions

Call attached data .


Preparations for the Test

Purpose

You have to install the necessary software before you can start testing. You then have to select the SAPphone server with which the test is to be carried out. For technical information on this process flow, see The Selection of a SAPphone Server.

Process Flow

  1. Install the SPS tester
  2. Select a SAPphone server


Call Attached Data

Use

Call attached data (CAD) is data that has been attached to a telephone call. It can be information about the call or about the caller. The data is obtained for the most part at the central gateway and it is then transferred to the call. The person to whom the call is transferred has direct access to the data and can use it to process the call specifically. The attached data may, for example, be the customer number of the caller, the extension number of the contact person requested by the customer, or information about the products ordered by this customer.

For more information, see

Structure of Call Attached Data .

CINFO Data .

Procedure

Displaying the CAD

The CAD can be displayed clearly if it is stored in table form or as a tree structure. In the SPS tester, you can choose whether the CAD is displayed in the clear tree structure or in the same table form as in the memory. If the CAD is displayed in table form, you can check that it is stored correctly.

Displaying the CAD in a tree structure

  1. On the CALL CONTROL interface, call the tab page Attached Data.
  2. Choose CAD Get Call Info.
  3. To display the CINFO data as well, select Show CINFO values on the tab page Attached Data (you do not have to close the CAD display window first).

Displaying the CAD in table form

Choose Show CAD In Table.

Reading the CAD

The CAD is read automatically when the display window is called (tree or table). The structure of the CAD is accessed when the window is opened and it is displayed immediately in the relevant output format.

Storing the CAD

The CAD can be changed in the tree structure. When you save, the data is stored in the form in which the tree is displayed on the screen. Existing data is overwritten.

The CINFO data is an exception. Although this data is displayed in the tree, it is not stored with the CAD. This is due to process flows within the program: All data set by the user is interpreted as CAD. Therefore, set CINFO data is also interpreted as CAD when it is stored and it is displayed in addition to the CINFO data (therefore, twice) when it is read again.

Adding New CAD

You can use this function to add CAD values to a tree.

  1. Select the node under which the new data is to be inserted.
  2. Choose New Item.
  3. In the following dialog box, enter the data:

You can select predefined values. If the fields New Object Name or New Instance are selected, new possible entries are displayed in order to add a free entry to the CAD.
  4. Choose Set to tree.

    5. The data is inserted in the tree in the display window.

  5. If you want to copy the data, choose OK in the input window. If you want to remove the data from the tree again, choose Cancel.
  6. To store the CAD displayed in the tree structure, choose Set CAD in the display window.

Appending New CAD

When you add CAD values, you can choose the instance in which the new data is to be inserted yourself. In contrast, when you append CAD values, the new values are automatically inserted in a new instance.

  1. Choose CAD Append Data.
  2. In the following dialog box, enter the data:

  3. Choose OK.

To check that the CAD values have been entered correctly, you have to call the CAD display window again.

Deleting the CAD

You can either delete data records individually from the CAD or you can delete several data records at the same time.

  1. On the Call control interface, call the tab page Attached Data.
  2. Choose CAD Delete Data.
  3. In the tree structure, select the nodes that are to be deleted with all the data under them.
  4. Choose Delete Nodes.

    5. A list of the data to be deleted is displayed.

  5. Choose Yes.

Example of a deletion request:

The following data is attached to a call:

Object name | Instance | Key | Value
CIC_CLIPBOARD | 0001 | REFOBJTYPE | SCUSTOMER
CIC_CLIPBOARD | 0001 | OBJKEY | 00000256
CIC_CLIPBOARD | 0002 | REFOBJTYPE | SFLIGHT
CIC_CLIPBOARD | 0002 | OBJKEY | LH4875

The following options exist for deleting data from the CAD:

Deleting the second instance of the object

Option 1:

Object name | Instance | Key | Value
CIC_CLIPBOARD | 0002 | REFOBJTYPE | SFLIGHT
CIC_CLIPBOARD | 0002 | OBJKEY | LH4875

Option 2:

Object name | Instance | Key | Value
CIC_CLIPBOARD | 0002 | * | *

Deleting all of the CAD

Option 1:

Object name | Instance | Key | Value
CIC_CLIPBOARD | 0001 | REFOBJTYPE | SCUSTOMER
CIC_CLIPBOARD | 0001 | OBJKEY | 00000256
CIC_CLIPBOARD | 0002 | REFOBJTYPE | SFLIGHT
CIC_CLIPBOARD | 0002 | OBJKEY | LH4875

Option 2:

Object name | Instance | Key | Value
CIC_CLIPBOARD | 9999 | * | *

Deleting any CAD

Object name | Instance | Key | Value
* | 9999 | * | *


Error Handling

When you call RFC functions in the SPS tester, errors can occur in the following places:

  • On the RFC-API when allocating, deallocating, setting or reading data

When you call the RFC functions, a return code is returned. The meaning of the code is described in the table.
  • When the CTI System or the telephony gateway is executed or addressed

In this case, the RFC return code is zero, but an error number is returned when data is read from the reserved memory areas. This return code is transmitted with the corresponding error text by the relevant system (CTI or gateway). If the error code is less than 1000, the error occurred in the telephony gateway. If the error code is greater than 1000, the error occurred in the CTI System.

The return codes for the RFC functions are described in the following table:

Error code | Type | Description
0 | RFC_OK | OK
1 | RFC_FAILURE | error occurred
2 | RFC_EXCEPTION | exception raised
3 | RFC_SYS_EXCEPTION | system exception raised, connection closed
4 | RFC_CALL | call received
5 | RFC_INTERNAL_COM | internal communication, repeat
6 | RFC_CLOSED | connection closed by the other side
7 | RFC_RETRY | no data yet
8 | RFC_NO_TID | no transaction ID available
9 | RFC_EXECUTED | function already executed
10 | RFC_SYNCHRONIZE | synchronous call in progress
11 | RFC_MEMORY_INSUFFICIENT | memory insufficient
12 | RFC_VERSION_MISMATCH | version mismatch
13 | RFC_NOT_FOUND | function not found
14 | RFC_CALL_NOT_SUPPORTED | call is not supported on windows


Installing the SPS Tester

Prerequisites

The following components must be installed:

  • Windows NT 4.0 (Service Pack 4)
  • Internet Explorer 3.0 (or later)
  • SAP Gateway
  • A SAPphone server, which is active and registered with the SAP gateway.

For information on installing the SAPphone server, see the file HowToTest Guide.

Procedure

  1. Start the file Setup.exe in the installation directory.

    2. The program guides you through the installation process.

  2. Check that the file SPSHelp.chm is in the same directory as the file SPSTester.exe. These files have to be in the same directory in order for you to be able to use online help.

Result

After the SPS tester has been installed, the menu option SAPphone Server à Tester is available in the NT start menu.


Program Flows

The descriptions of the following program flows should help you to avoid difficulties during implementation:

The Selection of a SAPphone Server

Calling RFC Functions .

For further technical information, see Error Handling .


Selecting a SAPphone Server

Prerequisites

At least one SAPphone server must be active (status Running).

Procedure

  1. In the SPS tester, choose SAPphone Server ® Select SPS.
  2. Choose a server by double-clicking on one in the following list of active SAPphone servers.

  3. In the following dialog box, enter an extension for the test:

  4. Choose OK.

Result

After a SAPphone server has been selected, the test functions of the menu options WorkCenters and Calls are active.

For technical information on this process flow, see The Selection of a SAPphone Server .


Structure of Call Attached Data

The call attached data (CAD) is attached to a call in a table. The information is characterized by different keys. Several instances can be used in order to differentiate the same keys for different subjects or for process courses that occur at different times. The data stored in the table can be described in a tree structure. An object that includes the whole structure is always used as the root. In the tester, the test calling number is always used as the root.

Objects

The following table lists the available objects. You can also define your own values for the CAD.

Name | Description
CIC_CLIPBOARD | Contains business objects and structured fields, which are displayed in CIC_CLIPBOARD.
PDCALL | Identifies a planned call and contains all the relevant data. The data is transferred from the R/3 System to the gateway using PD functions.
KEYVALUE | Unstructured data

In the SPS tester, the KEYVALUES are of particular interest. The CIC_CLIPBOARD and PDCALL data can also be used for test purposes, but this data is less important.

Key

The following table shows which predefined keys can be assigned to which objects. The value range of the key is also specified.

Object name | Key name | Value type | Description
CIC_CLIPBOARD | REFOBJTYPE | CHAR 10 | Business object type and key. The object must exist in the R/3 Business Object Repository. Depending on the object type, the correct structure must be used.
 | OBJKEY | CHAR 70 |
 | REFSTRUCT | CHAR 30 | Structure field and value field. Structure name and field name must exist in the R/3 Data Dictionary. The value must have the correct type, depending on the field, and the right length.
 | REFFIELD | CHAR 30 |
 | VALUE | CHAR 30 |
PDCALL | PDCALL | CHAR 1 | Signals the planned call.
 | OBJTYPE | CHAR 10 | Type, key and logical object of the business object that is linked to the planned call (for example, customer number). This object is the basis of the information for the addressed application.
 | OBJKEY | CHAR 70 |
 | LOGSYS | CHAR 10 |
 | CALLID | CHAR 30 | ID of planned call. This ID does not correspond to the handle of the initiated call.
 | ADDRNUMBER | CHAR 10 | Address ID of the remote connection: Business address, private address and address type.
 | PERSNUMBER | CHAR 10 |
 | TELNO1 | CHAR 30 | Telephone number for the planned call. Here a telephone number contains a start time and an end time as well as a time zone.
 | STARTTIME1 | CHAR 6 |
 | ENDTIME1 | CHAR 6 |
 | TIMEZONE1 | CHAR 6 |
 | TELNO2 | CHAR 30 | First alternative telephone number for a planned call.
 | STARTTIME2 | CHAR 6 |
 | ENDTIME2 | CHAR 6 |
 | TIMEZONE2 | CHAR 6 |
 | TELNO3 | CHAR 30 | Second alternative telephone number for a planned call.
 | STARTTIME3 | CHAR 6 |
 | ENDTIME3 | CHAR 6 |
 | TIMEZONE3 | CHAR 6 |
 | FINISHED | CHAR 30 | Flag that describes the termination of the planned call. The flag is set by the caller's system as soon as a connection has been established. An application can change this flag if a person could not be reached (wrong extension), for example.
 | PDSTATE | CHAR 3 | Is set by the application and stored for the caller for statistical purposes. The status is stored in the CAD.
 | CAMPAIGNID | CHAR 3 | Identification number of the campaign.
 | STARTDATE | CHAR 8 | Start date of the planned call.
 | ENDDATE | CHAR 8 | End date of the planned call.
KEYVALUE | Free character-based field


Exchange Functions (Connection Test)

Exchange Version

This function is used to test data exchange for the connection test between the SAP System and the SAPphone server.

  1. Choose SAPphone Server ® Exchange Version.
  2. In the following dialog box, specify the version of the R/3 System.

  3. Choose Exchange Version.

The versions are compared and their compatibility determined.

Exchange Parameters

Along with inbound calls, the SAPphone server also transfers the name of the corresponding telephony server to the SAP System. The function Exchange Parameters is used to test the transfer of the telephony server name to the SAP System.

  1. Choose SAPphone Server ® Exchange Parameters.
  2. In the following dialog box, specify the name of the telephony server that represents the SAPphone server in the SAP System:

  3. Choose Exchange.


The Selection of a SAPphone Server

Purpose

This process describes the process flow within the program when a SAPphone server is selected.

Process Flow

  1. The status of the SAPphone server is determined:
    1. GetAllServer reads all the SAPphone servers entered in the registry.
    2. OpenAService queries the status of all the servers found.
    3. The DLL function OpenSCManager determines the access handle.
    4. OpenAService directly accesses the DLL function OpenService, which opens a service.
    5. QueryServiceStatus determines the status of a service that has been opened.
    6. CloseServiceHandle closes the handle.
  2. The servers with the status Running are managed in an array (SPS). The flag InUse is set in the array SPS for the server selected by the user for testing.
  3. The test calling number that the user specified after selecting the server is stored globally.

The following diagram summarizes the relationships described above once again:


CINFO Data

The CAD is also used for storing other telephone data. Call info data (CINFO data) is stored for each call. This data cannot be assigned directly to the CAD, however both data types use the same memory. The following data is stored as CINFO data:

  • Date (Date)
  • Time (Time)
  • Your own telephone number (LocalParty)
  • Telephone number of the call partner (RemoteParty)
  • Dialed number (DNIS).

You can specify whether the CINFO data is to be displayed with the CAD or not. CINFO data always exists for a call. It can be read, but not set manually. For more information, see Call Attached Data .


Call Control

Use

Call Control is an interface that provides all the important telephony functions. The interface is subdivided into three sections: Status display, standard function toolbar and tab pages with other functions.

In the status display, the current calls in the test environment are displayed with the following information:

  • Status: Connected, Held or Alerting
  • Dialed number
  • Number of remote party
  • Type of remote party

The dialed number is not the same as the number of the remote party if, for example, the call was transferred to you.

The standard function toolbar provides the following functions:

  • Refresh (update display)

Since action messages (status changes) are not sent by the SAPphone server for all events, the status of the test can be updated manually.
  • Hold (put call on hold)
  • Take call off hold (reconnect call on hold)
  • Alternate
  • Drop all (Hang up all calls)
  • Drop call (Hang up call).

The tab pages provide further functions, arranged according to subject area.

  • Dial / Answer
  • Consult
  • Transfer
  • Conference
  • Attached Data
  • Deflect
  • Services

For more information on the tab pages, see the section Procedure.

The graphic shows the Call control interface. A call was initiated on the tab page Dial/Answer. The call is displayed in the status display with the status Connected:

Procedure

Dial / Answer

On this tab page, you can initiate a call or accept an inbound call.

Initiating a call

  1. Specify the number to be called.
  2. Choose Make Call.

The status of an accepted call changes to Alerting.

Accepting a call

  1. If the flag Let system select incoming call for answer is not selected, select the call that you want to accept. Otherwise the system decides which call is accepted, according to the order of the inbound calls.
  2. Choose Answer.

Consult

On this tab page, you can initiate a request (or consult) for a connection in order to then execute another action on this connection (for example, initiate a conference call).

  1. In the field Next Step, select which action is planned after the request:
    • Unknown:

The next processing step is not known when the request is initiated. The next tab page is selected manually.

    • Conference

The tab page Conference is opened automatically after a request has been initiated.

    • Transfer

The tab page Transfer is opened automatically after a request has been initiated.

  2. In the field Number to Consult, enter the number of the call partner.
  3. Choose Consult.

To return to a call on hold, choose Reconnect.

Transfer

On this tab page, you can transfer a call to another telephone connection. Two options are available for this:

  • Transfer without consulting the target connection first (blind transfer)
  • Transfer with consult, in which the target is asked first whether the call to be transferred is to be accepted or refused.
  1. In the field Number to Transfer, enter the target number.
  2. Choose Transfer or Transfer with Consult.

Conference

On this tab page, you can create a telephone connection between several subscribers.

Initiating a conference

  1. Select two calls: One with the status Connected and one with the status Held.
  2. Choose Conference.

Adding subscribers

  1. In the field Number To Call, enter the number of the subscriber.
  2. Choose Make Call.

Reconnecting calls on hold

  1. Select a call on hold.
  2. Choose Reconnect.

Removing a call (several subscribers) from a conference

  1. Select the subscribers.
  2. Choose Drop Party.

Ending a Call

  1. Select the call.
  2. Choose Drop Call.

Deflect

On this tab page, you can transfer inbound calls without answering them yourself first (deflect).

  1. If the flag Let system select incoming call for answer is not selected, select the call that you want to deflect. Otherwise the system decides which call is deflected, according to the order of the inbound calls.
  2. In the field Number to deflect incoming call, specify the number to which the call is to be deflected.
  3. Choose deflect.

Service

On this tab page, you can call the functions Register and Deregister. For more information on these functions, see Work Center Functions under Register / Deregister.

Attached Data

On this tab page, you can access data that has been attached to a call. For more information, see Call Attached Data .


Call Functions

Get Call State

This function is used to call a list of the current statuses of existing calls.

Choose Calls ® Get Call State.

Wait for Call

This function transfers the SPS tester to wait mode. Wait mode cannot be canceled by the tester, but only by the following events:

  • An inbound call (Alerting)
  • Cancellation of wait mode (for example, by CANCEL WAIT of another SPS tester instance)
  • Active connection when wait mode is set
  • Occurrence of a user-specific event.
  1. Choose Calls ® Wait for Call.
  2. Specify the telephone number and a work mode. You can select the following work modes:
    • No change

No change of work mode
    • Ready

Call center agents set their work mode to Ready before they change to a wait status.
    • Work Ready

Before call center agents transfer their servers to wait mode, the work mode is set to Ready. After an inbound call has been received, the work mode is automatically set to Ready again.
    • Work Not Ready

Before call center agents transfer their servers to wait mode, the work mode is set to Ready. After an inbound call has been received, the work mode is set to Not Ready.

  3. Choose Wait.


Glossary

Finding terms

To search for a glossary term, enter the term in the text field of the Index tab.

To search for a term in the full text, enter the term in the text field of the Search tab, and press Enter or the pushbutton List Topics.

Displaying terms

To display a term highlighted in the list box, double-click on it or press the pushbutton Display.


HTML Help Viewer Help

Use

With the HTML Help Viewer you can view the SAP Library in file format Compiled HTML (*.CHM).

Features

The HTML Help Viewer comprises:

  • A topic window for displaying the current help document.
  • A navigation window for displaying the current table of contents, the keyword search and the full-text search. (The navigation window can be hidden or shown: Hide/Show.)
  • A toolbar containing navigation and print functions, etc.

If you go to other help files while navigating through the online help, other HTML Help Viewer instances are opened. These instances can be closed individually. If you close the initial instance, all viewer instances are closed.

To go to the first page of the SAP Library, choose Home. You have access to the entire documentation from there: SAP Library, Glossary, Implementation Guide (IMG) and Release Notes.

Finding Help Documents

To find help documents:

  • Navigate in the table of contents tree structure (Contents tab)
    • To expand or collapse all branches of the table of contents tree, click the right-hand mouse key in the navigation window and choose Expand all or Collapse all in the context menu.
    • To move backwards and forwards in a navigation path, choose Back or Forward in the toolbar. This applies to the navigation path within an HTML Help Viewer instance.
    • To display only the entries for particular info classes in the table of contents, click the right-hand mouse key in the navigation window and choose Customize... in the context menu. Specify in the following dialog which info classes are to appear in the table of contents.
  • Perform a keyword search (Index tab)

The complete index is displayed if you are in the SAP Library; the index of the current help file is displayed if you are in another help file. No Index tab is displayed if no index exists for the current help file.

Loading the complete SAP Library index (approx. 8 MB) can take several minutes, depending on the configuration of your PC.

Select an entry in the list of keywords and choose Display.
If the selected keyword is assigned to only one help document, that document is displayed. Otherwise a list of documents found is offered for selection.

As Release Notes and IMG have no index, only full-text search is possible for them.
  • Perform a full-text search (Search tab)

Enter a search request and choose List Topics.
All documents are searched if you are in the SAP Library; only the documents in the current help file are searched if you are in another help file. The documents found are listed for selection.

To make complex searches:
    • Use the place holder ? for single characters and * for character strings in search terms.
    • Match similar words
    • Combine search terms with the operators:
      • AND (all terms appear in the document)
      • OR (at least one of the terms appears in the document)
      • NOT (the term does not appear in the document)
      • NEAR (the terms occur close together, such as in the same sentence in the document)
    • Restrict the search to document titles (Search titles only)
    • Restrict the search to the set of documents found in the previous search (Search previous results)

A global search in the SAP Library, in particular full-text search, requires a large amount of main memory. Global full-text search should only be used if the help files are on the local hard disk.

Finding the Current Help Document in the Table of Contents

If you found the current topic by search or hyperlink, the position of the topic in the table of contents is not displayed. To find the topic in the table of contents, choose Locate in the HTML Help Viewer toolbar.

If you found the current topic by a global (full-text or keyword) search in the SAP Library, the help file containing the topic must first be found. Click on the Locate icon [image] in the topic title. Then choose Locate in the toolbar to expand the help file table of contents and find the position of the topic.

Printing Help Documents

You can print individual help documents or several documents at the same time:

  • To print the current topic, choose Print with the option Print the selected topic.
  • To print the current topic and all its subtopics, choose Print with the option Print the selected heading and all subtopics.


Broken link

Error: Broken link

You tried to follow a link that points to an unknown target document.